import java.io.*;
import java.util.Scanner;
/**
 *   GPACalculator is a simple calculator for computing 
 *   a student's grade point average. 
 *   
 * @author John Dalbey
 * @version 2014.4.10
 **/
public class GPAcalculator
{
    private final static String prompt = "Enter letter grade and number of units for a course: ";
    
    /**
     * Entry point for the application. 
     * @param args ignored
     */
    public static void main(String[] args)
    {
        // Make the GPA
        GPA studentGPA = new GPA();
        // process all the courses
        processCourses(studentGPA);
    }
    
    /**
     * Run the console user interface, obtaining data from standard input
     * and displaying results on standard output.
     * @param gpa the GPA to be computed
     */
    private static void processCourses(GPA gpa)
    {
        Scanner console = new Scanner(System.in);
        System.out.println(prompt);
        // Read courses until End of File 
        while (console.hasNext())
        {
            // Enter GPA attributes
            String grade = console.next();
            double units = console.nextDouble();
            gpa.addCourse(grade,units);
            // Display results
            System.out.println("GPA: " + gpa);
            System.out.println("Course count: " + gpa.getCourseCount());
            System.out.println(prompt);
        }
    }
}
